# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Jun 13 21:35:16 2024
# ------------------------------------------------

package:
  name: phispy
  version: 4.2.21
source:
  sha256: 1dc3ec45c15328577557908517254d8e4ba152416f0e6bbad39e965b86730e28
  url: https://pypi.io/packages/source/p/phispy/PhiSpy-4.2.21.tar.gz
build:
  number: '6'
  run_exports:
    - phispy >=4.2.21,<5.0a0
  script: '/opt/conda/conda-bld/phispy_1718315502673/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . --no-deps -vv '
  string: py311h2a4ad6c_6
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 ha1999f0_3
    - binutils_linux-64 2.40 hb3c18ed_6
    - gcc_impl_linux-64 12.3.0 h58ffeeb_8
    - gcc_linux-64 12.3.0 h6b3dd4b_6
    - gxx_impl_linux-64 12.3.0 h2a574ab_8
    - gxx_linux-64 12.3.0 ha28b414_6
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 hf3520f5_3
    - libgcc-devel_linux-64 12.3.0 h6b66f73_108
    - libgcc-ng 13.2.0 h77fa898_8
    - libgomp 13.2.0 h77fa898_8
    - libsanitizer 12.3.0 hb8811af_8
    - libstdcxx-devel_linux-64 12.3.0 h6b66f73_108
    - libstdcxx-ng 13.2.0 hc0a3c3a_8
    - sysroot_linux-64 2.12 he073ed8_17
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2024.6.2 hbcca054_0
    - ld_impl_linux-64 2.40 hf3520f5_3
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h77fa898_8
    - libgomp 13.2.0 h77fa898_8
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.46.0 hde9e2c9_0
    - libstdcxx-ng 13.2.0 hc0a3c3a_8
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 h4ab18f5_1
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.1 h4ab18f5_0
    - pip 24.0 pyhd8ed1ab_0
    - python 3.11.9 hb806964_0_cpython
    - readline 8.2 h8228510_1
    - setuptools 70.0.0 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024a h0c530f3_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xz 5.2.6 h166bdaf_0
  run:
    - bcbio-gff
    - biopython <=1.81
    - hmmer
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - numpy
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - scikit-learn
test:
  commands:
    - PhiSpy.py -v
  imports:
    - PhiSpyModules
about:
  dev_url: https://github.com/linsalrob/PhiSpy/
  doc_url: https://github.com/linsalrob/PhiSpy/blob/master/README.md
  home: https://github.com/linsalrob/PhiSpy
  license: MIT
  license_family: MIT
  summary: Prophage finder using multiple metrics
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.5281/zenodo.3475717
  recipe-maintainers:
    - linsalrob
